Check if the image has a matte channel

- « Gmagick::getimageiterations

- Gmagick::getimagemattecolor »

- PHP Manual
- Gmagick
- Check if the image has a matte channel

# Gmagick::getimagematte

(PECL gmagick >= Unknown)

Gmagick::getimagematte — Check if the image has a matte channel

### Description

public Gmagick::getimagematte(): int

Returns `true` if the image has a matte channel, otherwise `false`.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if the image has a matte channel, otherwise `false`.

### Errors/Exceptions

Throws an GmagickException on error.